## bodega-client 0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(lib)
add_subdirectory(activeclient)
add_subdirectory(primavera)
