=== lib/tests/CMakeLists.txt ===
ADD_SUBDIRECTORY(connection)
ADD_SUBDIRECTORY(jobs)
ADD_SUBDIRECTORY(model)
