=== lib/cmake/modules/CMakeLists.txt ===
set(cmakeFiles FindBODEGA.cmake)
install(FILES ${cmakeFiles} DESTINATION ${CMAKE_MODULES_INSTALL_DIR})
