=== debian/changelog ===
bodega-client (0.2-0ubuntu4) utopic; urgency=medium

  * Remove build-dep on nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 17:13:41 +0200

bodega-client (0.2-0ubuntu3) trusty; urgency=medium

  * Make libbodega-dev depend on libbodega0

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 21 Feb 2014 10:42:36 +0100

bodega-client (0.2-0ubuntu2) trusty; urgency=medium

  * Add patch kubuntu_install-cmake-module.diff to fix cmake module install dir
  * Put cmake module into libbodega-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 23:23:06 +0000

bodega-client (0.2-0ubuntu1) saucy; urgency=low

  * Initial release LP: #1227602
  * Add build-dep on libqt4-opengl-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 12:24:44 +0100
