=== debian/control ===
Source: bodega-client
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, libqjson-dev, kdelibs5-dev, libqt4-opengl-dev
Standards-Version: 3.9.4
Homepage: http://plasma-active.org/

Package: bodega-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Make Play Live content store applet
 Client applications for the Make Play Live content store.

Package: libbodega0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Make Play Live content store library
 Library for the Make Play Live content store.

Package: libbodega-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbodega0 (= ${binary:Version})
Section: libdevel
Description: Make Play Live content store library
 Library for the Make Play Live content store.
 .
 Development files.
